> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive a customer

> Archive a customer, hiding them from the business's active customer list.

Archiving a customer hides them from the business's active customer list, returned by the [List customers](/api-reference/invoice/list-customers) endpoint.
Archived customers can still be accessed by ID, but are not returned in list requests by default.
Archived customers will have all A/R and Liability balances retained and all invoices will remain.

### Path Parameters

<ParamField path="business_id" required="true" type="string">
  ID of the [Business](/api-reference/business/business) the customer is associated with.
</ParamField>

<ParamField path="customer_id" required="true" type="string">
  ID of the [Customer](/api-reference/invoice/customer) to be archived.
</ParamField>

### Response

Returns the archived [Customer object](/api-reference/invoice/customer)

<RequestExample>
  ```bash Request theme={null}
  curl -X POST https://sandbox.layerfi.com/v1/businesses/${business_id}/customers/${customer_id}/archive \
    -H "Authorization: Bearer <access_token>" \
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
   "data": {
     "type": "CustomerData",
     "id": "4f7c1b16-e057-4ec0-8b20-50308ba5b9ea",
     "external_id": "customer-1",
     "individual_name": "John Doe",
     "company_name": "Acme, Inc.",
     "email": "john@hotmail.com",
     "mobile_phone": "555-555-5555",
     "office_phone": "555-555-5555",
     "address_string": "123 Main St, Phoenix, AZ 85001",
     "notes": "This is a note",
     "status": "ARCHIVED",
     "transaction_tags": [
      {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "key": "department",
        "value": "sales",
        "dimension_display_name": "Department",
        "value_display_name": "Sales Team",
        "dimension_id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
        "definition_id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
        "created_at": "2024-02-27T02:16:40.389772Z",
        "updated_at": "2024-02-27T02:16:40.389772Z",
        "deleted_at": null,
        "archived_at": null
      }
    ]
   }
  }
  ```
</ResponseExample>
